Bug 62849 - Missing icons in xchat
Missing icons in xchat
Product: Red Hat Public Beta
Classification: Retired
Component: xchat (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
Depends On:
  Show dependency treegraph
Reported: 2002-04-06 01:11 EST by Konstantin Ryabitsev
Modified: 2014-01-21 17:48 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-04-06 19:03:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Konstantin Ryabitsev 2002-04-06 01:11:19 EST
Description of Problem:
Nice pretty icons in the top bar are gone.

Version-Release number of selected component (if applicable):

How Reproducible:

http://www.dulug.duke.edu/~icon/sshots/xchat-7.2.png -- in current 7.2
http://www.dulug.duke.edu/~icon/sshots/xchat-7.2.93.png -- in skipjack-2
Comment 1 Mike A. Harris 2002-04-06 03:49:48 EST
The newest build of xchat is built with --without-gnome disabling GNOME
support.  Do you notice any major functionality missing because of this
aside from the difference shown in the screenshots?  If so, could you
please provide a list of all things you notice have changed?

The change was made so that people using KDE could use xchat without
having to install all of the GNOME libraries.  I had a quick look at
it built without GNOME support and didn't notice anything major missing.

If there is any major feature loss however, I can turn it back on.
Comment 2 Dan Naumov 2002-04-06 03:55:31 EST
Er, I too consider this a "major feature loss". My girlfriend who uses XChat on
her Win2000 box always complains how XChat under Win32 looks sucky compared to
XChat with gnome extensions. The Win32 build of XChat looks exactly like
xchat-7.2.93.png, which I consider to be rather ugly. Please, turn the gnome
extensions back on.
Comment 3 Seth Vidal 2002-04-06 11:44:57 EST
If you're using kde you can use ksirc. Xchat appears to be broken to the casual
observer if the icons don't show up.

It doesn't make sense to disable a programs' gnome-bindings to make a kde user
happy. Its just going to piss off the gnome users. 

Comment 4 Konstantin Ryabitsev 2002-04-06 11:48:39 EST
Yeah... If you leave it --without-gnome in the final release, you will probably
see a LOT of bug reports similar to this one. I thought this was because some
icon files were left out of the package.

This is probably not the best move in the long run.
Comment 5 Seth Vidal 2002-04-06 13:17:27 EST
With out the --with-gnome you lose the default gnome keybindings. Which means
that the hot keys people are used to are gone for xchat.

additionally it makes little sense to make gnome seem less integrated just so
kde users can run xchat w/o installing the gnome libs.

Comment 6 Mike A. Harris 2002-04-08 17:22:33 EDT
GNOME support is re-enabled in xchat 1.8.8-5 in rawhide due to popular
request via bugzilla, email, and people nagging me on IRC.

KDE people should really just use GNOME anyway...

Comment 7 Bernhard Rosenkraenzer 2002-04-09 03:34:12 EDT
Nope. MUST-FIX for the next release: Rewrite all gnome apps in KDE. ;)
Comment 8 Alexei Podtelezhnikov 2002-04-09 08:49:08 EDT
Well.. I only wish that all packages like this were split into xchat and xchat-
gnome to satisfy everyone nicely. I'm not sure it's possible in this case 
though. Another prominent example: xscreensaver. Because of silly GUI config 
program the entire package requires gnome now. Oh well, who cares that actual 
screensavers look the same under KDE and GNOME because they uce neither Qt not 
Gtk, obviously.

Note You need to log in before you can comment on or make changes to this bug.